package com.xy.utils;

import com.xy.entity.SysCodeConfigureRedis;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 系统编码工具类
 */
public class SysCodeConfigureUtils {

    public static final String SYS_CODE_CONFIGURE_PREFIX = "sys_code_configure";

    private static RedisService<SysCodeConfigureRedis> getRedisService() {
        return SpringBeanUtils.getBean(RedisService.class);
    }

    /**
     * code获取
     *
     * @param code
     * @return SysCodeConfigureRedis
     */
    public static SysCodeConfigureRedis get(String code) {
        return getRedisService().getMap(SYS_CODE_CONFIGURE_PREFIX).get(code);
    }

    /**
     * code获取
     *
     * @param codes
     * @return SysCodeConfigureRedis
     */
    public static Map<String, SysCodeConfigureRedis> get(List<String> codes) {
        Map<String, SysCodeConfigureRedis> map = getRedisService().getMap(SYS_CODE_CONFIGURE_PREFIX);
        Map<String, SysCodeConfigureRedis> stringSysCodeConfigureRedisMap = new HashMap<>();
        codes.forEach(code -> {
            SysCodeConfigureRedis sysCodeConfigureRedis = map.get(code);
            if (sysCodeConfigureRedis != null) {
                stringSysCodeConfigureRedisMap.put(code, sysCodeConfigureRedis);
            }
        });
        return stringSysCodeConfigureRedisMap;
    }

    /**
     * 获取所有
     *
     * @return
     */
    public static Map<String, SysCodeConfigureRedis> all() {
        return getRedisService().getMap(SYS_CODE_CONFIGURE_PREFIX);
    }
}
